Crystal Space: csNewtonianParticleSystem Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csNewtonianParticleSystem Class Reference
[Common Plugin Classes]

This class has a set of particles that behave with phsyics. More...

`#include <csplugincommon/particlesys/partgen.h>`

Inheritance diagram for csNewtonianParticleSystem:

[legend]
List of all members.

## Public Member Functions
| csNewtonianParticleSystem (iObjectRegistry *object_reg, iMeshObjectFactory *factory)
| Specify max number of particles.
csVector3 & | GetAccel (int idx) const
| Get a particles acceleration. accelerations are in metres/second.
csVector3 & | GetSpeed (int idx) const
| Get a particles speed. speeds are in metres/second.
void | SetAccel (int idx, const csVector3 &acl)
| Set a particles acceleration. accelerations are in metres/second.
void | SetSpeed (int idx, const csVector3 &spd)
| Set a particles speed. speeds are in metres/second.
virtual void | Update (csTicks elapsed_time)
| Moves the particles depending on their acceleration and speed.
## Protected Attributes
csVector3 * | part_accel
| Particle acceleration, m/s^2.
csVector3 * | part_speed
| Particle speed, m/s.

## Detailed Description

This class has a set of particles that behave with phsyics.

They each have a speed and an acceleration.

Definition at line 394 of file partgen.h.

## Constructor & Destructor Documentation

csNewtonianParticleSystem::csNewtonianParticleSystem | ( | iObjectRegistry * | object_reg,
|  | iMeshObjectFactory * | factory |
| ) |  |  |

Specify max number of particles.

## Member Function Documentation

csVector3& csNewtonianParticleSystem::GetAccel | ( | int | idx | ) | const`[inline]`

Get a particles acceleration. accelerations are in metres/second.

Definition at line 421 of file partgen.h.

csVector3& csNewtonianParticleSystem::GetSpeed | ( | int | idx | ) | const`[inline]`

Get a particles speed. speeds are in metres/second.

Definition at line 415 of file partgen.h.

void csNewtonianParticleSystem::SetAccel | ( | int | idx,
|  | const csVector3 & | acl |
| ) |  |  | `[inline]`

Set a particles acceleration. accelerations are in metres/second.

Definition at line 423 of file partgen.h.

void csNewtonianParticleSystem::SetSpeed | ( | int | idx,
|  | const csVector3 & | spd |
| ) |  |  | `[inline]`

Set a particles speed. speeds are in metres/second.

Definition at line 417 of file partgen.h.

virtual void csNewtonianParticleSystem::Update | ( | csTicks | elapsed_time | ) | `[virtual]`

Moves the particles depending on their acceleration and speed.

Reimplemented from csParticleSystem.

## Member Data Documentation

csVector3* csNewtonianParticleSystem::part_accel`[protected]`

Particle acceleration, m/s^2.

Definition at line 401 of file partgen.h.

csVector3* csNewtonianParticleSystem::part_speed`[protected]`

Particle speed, m/s.

Definition at line 399 of file partgen.h.

The documentation for this class was generated from the following file:

- csplugincommon/particlesys/partgen.h